
package de.ivu.elect.presentation.gebietsbaum.menu;

import java.util.ArrayList;
import java.util.List;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.jee.presentation.menu.MenuEntry;

@Specializes
public class WasGebietMainMenuEntry extends CoreGebietMainMenuEntry {

  private static final long serialVersionUID = 1L;

  public WasGebietMainMenuEntry() {
    super();
  }

  @Override
  protected List<MenuEntry> getSubMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    addDefaultGebietSubMenuEntriesSorted(result);

    addDefaultGebietsgruppierungSubMenuEntriesSorted(result);

    addDefaultGebietGeometrieSubMenuEntriesSorted(result);

    addDefaultGebietsartSubMenuEntriesSorted(result);

    return result;
  }
}
